# $Revision: 1.17 $, $Date: 2011/03/31 18:09:26 $
#
# Conditional build:
%bcond_with	glib2		# use glib2 (default glib)
#
Summary:	3store RDF engine
Summary(pl.UTF-8):	Silnik RDF 3store
Name:		3store
Version:	2.2.22
Release:	9
License:	GPL v2+
Group:		Libraries
Source0:	http://dl.sourceforge.net/threestore/%{name}-%{version}.tar.gz
# Source0-md5:	6fa70d2830c82eb030d8888f4da0c86c
Patch0:		%{name}-ac.patch
Patch1:		glib2.patch
URL:		http://threestore.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
%{!?with_glib2:BuildRequires:	glib-devel}
%{?with_glib2:BuildRequires:	glib2-devel}
BuildRequires:	libraptor-devel >= 0.9.10
BuildRequires:	libtool
BuildRequires:	mysql-devel
%{?with_glib2:BuildRequires:	pkgconfig}
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
3store is a highly scalable RDF triplestore, made available under the
GNU General Public Licence and funded by the AKT Consortium
<http://www.aktors.org/>.

%description -l pl.UTF-8
3store to wysoce skalowalne triplestore RDF, udostępnione na
Powszechnej Licencji Publicznej GNU (GPL), sponsorowane przez AKT
Consortium <http://www.aktors.org/>.

%package devel
Summary:	Header files for 3store library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki 3store
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
# for -lfl
Requires:	flex
%{!?with_glib2:Requires:	glib-devel}
%{?with_glib2:Requires:	glib2-devel}
Requires:	libraptor-devel >= 0.9.10
Requires:	mysql-devel

%description devel
Header files for 3store library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki 3store.

%package static
Summary:	Static 3store library
Summary(pl.UTF-8):	Statyczna biblioteka 3store
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static 3store library.

%description static -l pl.UTF-8
Statyczna biblioteka 3store.

%prep
%setup -q
%patch0 -p1
%{?with_glib2:%patch1 -p1}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/tstore_*
%attr(755,root,root) %{_libdir}/librdfsql.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librdfsql.so.0
%attr(755,root,root) %{_libdir}/libokbc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libokbc.so.0
%{_datadir}/3store

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/3store-config
%attr(755,root,root) %{_libdir}/librdfsql.so
%attr(755,root,root) %{_libdir}/libokbc.so
%{_libdir}/librdfsql.la
%{_libdir}/libokbc.la
%{_includedir}/rdfsql
%{_pkgconfigdir}/3store.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/librdfsql.a
%{_libdir}/libokbc.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: 3store.spec,v $
Revision 1.17  2011/03/31 18:09:26  arekm
- release 9

Revision 1.16  2011/01/31 08:55:18  arekm
- release 8

Revision 1.15  2009/10/28 17:06:42  sls
- BR: pkgconfig (--with glib2)

Revision 1.14  2009/10/27 21:17:59  sls
- fixed glib-requires in -devel package

Revision 1.13  2009/10/26 14:44:47  sls
- added glib2 patch and bcond (it builds and probably works)

Revision 1.12  2009/07/06 11:53:05  baggins
- rel 7

Revision 1.11  2009/02/23 22:03:37  arekm
- release 6

Revision 1.10  2008/08/25 16:44:38  qboosh
- ghost soname symlinks

Revision 1.9  2008/05/23 15:43:10  sls
- BR: readline-devel

Revision 1.8  2008-02-26 00:40:04  glen
- release 5

Revision 1.7  2008-02-26 00:25:27  glen
- release 4

Revision 1.6  2007-11-18 18:27:22  arekm
- rel 3

Revision 1.5  2007-02-12 21:21:30  glen
- tabs in preamle

Revision 1.4  2007/02/12 00:48:33  baggins
- converted to UTF-8

Revision 1.3  2007/02/03 16:29:12  qboosh
- added ac patch, rebuild ac/am/lt (for as-needed)
- release 2

Revision 1.2  2006/02/20 23:19:52  qboosh
- -devel R: flex (for -lfl)

Revision 1.1  2006/02/20 22:58:41  qboosh
- new
